<?xml version="1.0" encoding="ISO-8859-1"?>

<ModelMBean>
  <ModelMBeanDescriptor name="com.adventnet.nms.jmxagent.AlertNotificationMibInstrument" descriptorType="mbean" displayName="Alert Notification Details" log="T" logfile="jmxagent.log" currencyTimeLimit="60" export="null" visibility="1" persistPolicy="Never" persistLocation="jmxstore" persistName="AlertNotificationMibInstrument" description="Contains attribute of AlertNotificationMib group" presentationString="notValid" />
  <AttributeDescriptors>
    <attribute name="AlertExtraPropNames" descriptorType="attribute" type="java.lang.String" description="The extra properties which the user wants to be sent with the
				pre-defined notificaiton varbinds.
				It should be in the following format.
				SYNTAX:
				propName1,propName2,..." isReadable="T" isWritable="T" isIs="F" displayName="AlertExtraPropNames" getMethod="getAlertExtraPropNames" setMethod="setAlertExtraPropNames" iterable="F">
      <protocolMap name="snmp" type="DisplayString" value=".1.3.6.1.4.1.2162.4.3.8.1" />
    </attribute>
  </AttributeDescriptors>
  <OperationDescriptors>
    <operation name="com.adventnet.nms.jmxagent.AlertNotificationMibInstrument" descriptorType="operation" displayName="AlertNotificationMibInstrumentDefaultConstructor" description="default constructor" role="constructor">
      <params />
    </operation>
    <operation name="getAlertExtraPropNames" descriptorType="operation" diaplayName="getAlertExtraPropNames" description="gets the AlertExtraPropNamesvalues" role="getter" impact="INFO" operResponseType="java.lang.String">
      <params />
    </operation>
    <operation name="setAlertExtraPropNames" descriptorType="operation" displayName="setAlertExtraPropNames" description="Changes theAlertExtraPropNamesvalues" role="setter" impact="ACTION" operResponseType="void">
      <params>
	<param name="alertExtraPropNames" type="java.lang.String" />
      </params>
    </operation>
  </OperationDescriptors>
  <NotificationDescriptors />
</ModelMBean>

